/**
 * User Web Sockets requests handler implementation
 * 
 * @author Pierre Hubert
 */

import { BaseRequestsHandler } from "./BaseRequestsHandler";
import { ActiveClient, WsMessage } from "../controllers/UserWebSocketController";

export class UserWebSocketRequestsHandler extends BaseRequestsHandler {

	constructor(private wsClient: ActiveClient, private req: WsMessage) {
		super();
	}
	
	protected get userID(): number {
		return this.wsClient.userID;
	}

	
	protected getPostParam(name: string) {
		throw new Error("Method not implemented.");
	}
	public hasPostParameter(name: string): boolean {
		throw new Error("Method not implemented.");
	}
	public error(code: number, message: string): void {
		throw new Error("Method not implemented.");
	}
	public success(message: string): void {
		throw new Error("Method not implemented.");
	}
	public send(data: any): void {
		throw new Error("Method not implemented.");
	}

}